%define name gnome-user-docs
%define version 2.32.0
%define release %mkrel 1

Summary: GNOME User Documentation
Summary(de): GNOME Anwenderdokumentation
Summary(pl): Dokumentacja GNOME
Name:    %{name}
Version: %{version}
Release: %{release}
License: FDL
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Group: Books/Other
Url: http://www.gnome.org/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: scrollkeeper pkgconfig
BuildRequires: gnome-doc-utils >= 0.5.6
BuildRequires: libxslt-proc
Requires(post): scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: gnome-users-guide
Provides: gnome-users-guide

%description
This package contains the GNOME Glossary, Introduction to GNOME, and a Unix
Primer.

%description -l de
Dieses Paket enthält das GNOME-Glossar,
Einführung in GNOME, und eine Unix-Fibel.

#french
%description -l fr
Gnome documentation utilisateur.

#spanish
%description -l es
Documentación de usuario de Gnome. 

#polish
%description -l pl
Dokumentacja Gnome. 

#serbian
%description -l sr
Гноме корисника документацију. 

#dutch
%description -l nl
Gnome gebruikersdocumentatie.



%prep
%setup -q

%build
%configure2_5x
# parallel compilation is broken
make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name
rm -rf %buildroot/var/lib/scrollkeeper
for omf in %buildroot%_datadir/omf/*/*[_-]??.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

%clean 
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}.lang
%defattr(-, root, root)
%doc README NEWS
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf

%changelog
* Thu Sep 30 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0

* Mon Apr 26 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Thu Apr 01 2010 Texstar <texstar at gmail.com> 2.30.0-1pclos2010
- 2.30.0

* Thu Dec 17 2009 siamer <siamer@wp.pl> 2.28.2-1pclos2010
- new version 2.28.2

* Thu Nov 19 2009 slick50 <lxgator@gmail.com> 2.28.1-1pclos2010
- 2.28.1

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Sat Oct 03 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Fri May 22  2009 siamer <siamer@wp.pl> 2.26.2-1pclos2009
- new version 2.26.2
- trim specfile

